@import "CssWorkgroup";

.scoresheet-trend {
    position: relative;
    width: 100%;

    ul {
        position: relative;
        @include _reset-lists();
        @include _display-flex(flex, center, center, row);
        width: 100%;
        height: 100px;
        padding-top: 20px;

        &:before {
            content: attr(data-label);
            position: absolute;
            left: -35px;
            top: 50%;

            @include _font-paragraph('regular', $color-grey-paragraph);
            @include _font-size($font-size-small);
            transform: rotate(-90deg);
        }

        li {
            position: relative;
            flex: 1;
            height: 100%;
            @include _display-flex(flex, stretch, center, row, nowrap);
            padding: 0 1px;

            border-left: 1px dashed rgba($color-black, .2);

            &:last-child {
                border-right: 1px dashed rgba($color-black, .2);
            }

            counter-increment: list;

            &:before {
                position: absolute;
                top: -20px;
                left: 0;
                width: 100%;

                content: counter(list);
                text-align: center;
                @include _font-headline('regular', $color-grey-paragraph);
                @include _font-size($font-size-small);
            }

            opacity: 0;
            animation: _scaleY-forward .3s ease-out;
            animation-fill-mode: forwards;
            transform-origin: 50% 50%;

            // incoming animation
            @for $i from 1 through 10 {
                &:nth-child(#{$i}) {
                    animation-delay: (0.05s * $i);
                }
            }

            span {
                position: relative;
                flex: 1;
                margin-right: 1px;
                @include _display-flex(flex, center, center, column);

                &:last-child {
                    margin-right: 0;
                }
            }

            &.-winner {
                background: $color-white;
            }
        }
    }

    span {
        &:before {
            position: absolute;
            left: 0;
            width: 100%;
            content: '';
            background: $color-primary;
        }

        // define height
        @each $trend-value in (5 4 3 2 1) {
            &[data-trend$="#{$trend-value}"]:before {
                height: calc(#{$trend-value} * 10%);
            }
        }

        // negative ranks (guest)
        &[data-trend^="-"] {
            &:before {
                top: 50%;
                margin-bottom: -50%;
                border-radius: 0 0 3px 3px;
            }

            &:after {
                margin-top: -15px;
            }
        }

        // positiv ranks (home)
        &:not([data-trend^="-"]) {
            &:before {
                bottom: 50%;
                margin-top: -50%;
                border-radius: 3px 3px 0 0;
            }

            &:after {
                margin-bottom: -15px;
            }
        }

        // no ranks
        &[data-trend=""]:after {
            content: initial;
        }

        @include _respond-to(tablets, desktops) {
            &:not([data-label="0"]):after {
                content: "+" attr(data-label);
                @include _font-headline('regular', $color-paragraph);
                @include _font-size($font-size-small);
            }
        }
    }
}
